/*
    
    * This file is a part of Libcsys.
    * Library for managing drive and getting system resource information in real time for CuboCore Application Suite
	* Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, vsit http://www.gnu.org/licenses/.
    *
*/


#ifndef COMMAND_UTIL_H
#define COMMAND_UTIL_H

#include "libcsys_global.h"


class LIBCSYSSHARED_EXPORT CommandUtil {

public:
    static QString sudoExec( const QString &cmd, QStringList args = QStringList(), QByteArray data = QByteArray() );
    static QString exec( const QString &cmd, QStringList args = QStringList(), QByteArray data = QByteArray() );
    static bool isExecutable( const QString &cmd );

};

#endif // COMMAND_UTIL_H
